! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!
!   Certain routines are being deprecated. They will only be available on
!   32 bit operating systems, and will not be further supported.
!   It is expected that users will directly call the WIN APIs instead
!   of using the wrappers routines.
!
!   Look for  (without the x's in DxExCx)
!
!***deprecated***
!DxExCx$ IF DEFINED(_M_IX86)
!
!   to identify these routines.
!
!
!DEC$ IF .NOT. DEFINED (DFWBASE_ )
!DEC$ DEFINE xDFWBASE_  
!
module dfwbase
use dfwinty
!DEC$OBJCOMMENT LIB:"DFWIN.LIB"
!******************************************************
interface !lib=dfwin.lib
subroutine RtlCopyMemory (Destination,Source,Length) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: RtlCopyMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_RtlMoveMemory@12' :: RtlCopyMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'RtlMoveMemory'    :: RtlCopyMemory
!DEC$ ENDIF
integer(LPVOID)  Destination
integer(LPVOID)  Source
integer(SIZE_T)  Length
end subroutine RtlCopyMemory
end interface
interface !lib=dfwin.lib
subroutine RtlMoveMemory (Destination,Source,Length) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: RtlMoveMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_RtlMoveMemory@12' :: RtlMoveMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'RtlMoveMemory'    :: RtlMoveMemory
!DEC$ ENDIF
integer(LPVOID)  Destination
integer(LPVOID)  Source
integer(SIZE_T)  Length
end subroutine RtlMoveMemory
end interface
interface !lib=dfwin.lib
subroutine RtlFillMemory (Destination, Length, Fill) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: RtlFillMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_RtlFillMemory@12' :: RtlFillMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'RtlFillMemory'    :: RtlFillMemory
!DEC$ ENDIF
integer(LPVOID)  Destination
integer(SIZE_T)  Length
BYTE             Fill
end subroutine RtlFillMemory
end interface
interface !lib=dfwin.lib
subroutine RtlZeroMemory (Destination, Length) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: RtlZeroMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_RtlZeroMemory@8' :: RtlZeroMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'RtlZeroMemory'    :: RtlZeroMemory
!DEC$ ENDIF
integer(LPVOID)  Destination
integer(SIZE_T)  Length
end subroutine RtlZeroMemory
end interface
interface !lib=dfwin.lib
subroutine MoveMemory (Destination,Source,Length)
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: MoveMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL,ALIAS :'_RtlMoveMemory@12' ::  MoveMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL,ALIAS : 'RtlMoveMemory'    ::  MoveMemory
!DEC$ ENDIF
integer(LPVOID)     Destination 
integer(LPVOID)     Source 
integer(SIZE_T)     Length 
end subroutine MoveMemory
end interface
interface !lib=dfwin.lib
subroutine FillMemory (Destination,Length, Fill)
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: FillMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL,ALIAS : '_RtlFillMemory@12' ::  FillMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL,ALIAS :  'RtlFillMemory'    ::  FillMemory
!DEC$ ENDIF
integer(LPVOID)     Destination 
integer(SIZE_T)     Length 
BYTE                Fill 
end subroutine FillMemory
end interface
interface !lib=dfwin.lib
subroutine CopyMemory (Destination,Source,Length)
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: CopyMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL,ALIAS : '_RtlMoveMemory@12' :: CopyMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL,ALIAS :  'RtlMoveMemory'    :: CopyMemory
!DEC$ ENDIF
integer(LPVOID)     Destination 
integer(LPVOID)     Source 
integer(SIZE_t)     Length 
end subroutine CopyMemory
end interface
interface !lib=dfwin.lib
subroutine ZeroMemory (Destination,Length)
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: ZeroMemory
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL,ALIAS :'_RtlZeroMemory@8' :: ZeroMemory
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL,ALIAS : 'RtlZeroMemory'   :: ZeroMemory
!DEC$ ENDIF
integer(LPVOID)     Destination 
integer(SIZE_T)     Length 
end subroutine ZeroMemory
end interface
!                               *****MACRO*******
interface !lib=dfwin.lib
function HiWord (param) 
use dfwinty
integer(WORD) :: HiWord
!DEC$ ATTRIBUTES DEFAULT :: HiWord
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_HiWord@4' :: HiWord 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'HiWord'   :: HiWord 
!DEC$ ENDIF
integer(DWORD) param
end function HiWord
end interface
interface !lib=dfwin.lib
function LoWord (param) 
use dfwinty
integer(WORD) :: LoWord
!DEC$ ATTRIBUTES DEFAULT :: LoWord
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LoWord@4' :: LoWord 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LoWord'   :: LoWord 
!DEC$ ENDIF
integer(DWORD) param
end function LoWord
end interface
interface !lib=dfwin.lib
function RGB (red, green, blue)
use dfwinty
integer(DWORD) :: RGB 
!DEC$ ATTRIBUTES DEFAULT :: RGB
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_Rgb@12' :: RGB 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'Rgb'    :: RGB 
!DEC$ ENDIF
BYTE  red
BYTE  green
BYTE  blue
end function RGB
end interface
interface !lib=dfwin.lib
BYTE function GetRedValue(param) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: GetRedValue
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_GetRedValue@4' :: GetRedValue
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'GetRedValue'   :: GetRedValue
!DEC$ ENDIF
integer(DWORD) param
end function GetRedValue
end interface
interface !lib=dfwin.lib
BYTE function GetGreenValue(param) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: GetGreenValue
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_GetGreenValue@4' :: GetGreenValue
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'GetGreenValue'   :: GetGreenValue
!DEC$ ENDIF
integer(DWORD) param
end function GetGreenValue
end interface
interface !lib=dfwin.lib
BYTE function GetBlueValue(param) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: GetBlueValue
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_GetBlueValue@4' :: GetBlueValue
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'GetBlueValue'   :: GetBlueValue
!DEC$ ENDIF
integer(DWORD) param                                               
end function GetBlueValue
end interface
interface !lib=dfwin.lib
BYTE function HiByte(param) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: HiByte
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_HiByte@4' :: HiByte
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'HiByte'   :: HiByte
!DEC$ ENDIF
integer(WORD)  param
end function HiByte
end interface
interface !lib=dfwin.lib
BYTE function LoByte (param)
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: LoByte
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LoByte@4' :: LoByte 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LoByte'   :: LoByte 
!DEC$ ENDIF
integer(WORD)  param
end function LoByte
end interface
interface !lib=dfwin.lib
integer(LPSTR) function MakeIntAtom (param) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: MakeIntAtom
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeIntAtom@4' :: MakeIntAtom 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeIntAtom'   :: MakeIntAtom 
!DEC$ ENDIF
integer(WORD) param
end function MakeIntAtom
end interface
interface !lib=dfwin.lib
integer(LPSTR) function MakeIntResource (param) 
use dfwinty
!DEC$ ATTRIBUTES DEFAULT :: MakeIntResource
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeIntResource@4' :: MakeIntResource 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeIntResource'   :: MakeIntResource 
!DEC$ ENDIF
integer(WORD) param
end function MakeIntResource
end interface
interface !lib=dfwin.lib
function MakeLong (wLow, wHigh) 
use dfwinty
integer(DWORD) :: MakeLong
!DEC$ ATTRIBUTES DEFAULT :: MakeLong
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeLong@8' :: MakeLong 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeLong'   :: MakeLong 
!DEC$ ENDIF
integer(WORD) wLow
integer(WORD) wHigh
end function MakeLong
end interface
interface !lib=dfwin.lib
function MakeLParam (wLow, wHigh) 
use dfwinty
integer(LONG_PTR) :: MakeLParam
!DEC$ ATTRIBUTES DEFAULT :: MakeLParam
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeLparam@8' :: MakeLParam 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeLparam'   :: MakeLParam 
!DEC$ ENDIF
integer(WORD) wLow
integer(WORD) wHigh
end function MakeLParam
end interface
interface !lib=dfwin.lib
function MakeLResult (wLow, wHigh) 
use dfwinty
integer(LRESULT) :: MakeLResult
!DEC$ ATTRIBUTES DEFAULT :: MakeLResult
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeLResult@8' :: MakeLResult 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeLResult'   :: MakeLResult 
!DEC$ ENDIF
integer(WORD) wLow
integer(WORD) wHigh
end function MakeLResult
end interface
interface !lib=dfwin.lib
function MakeWord (bLow ,bHigh) 
use dfwinty
integer(WORD) :: MakeWord
!DEC$ ATTRIBUTES DEFAULT :: MakeWord
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeWord@8' :: MakeWord 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeWord'   :: MakeWord 
!DEC$ ENDIF
BYTE bLow
BYTE bHigh
end function MakeWord
end interface
interface !lib=dfwin.lib
function MakeWparam (wLow, wHigh)
use dfwinty
integer(UINT_PTR) :: MakeWparam 
!DEC$ ATTRIBUTES DEFAULT :: MakeWparam
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeWparam@8' :: MakeWparam 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeWparam'   :: MakeWparam 
!DEC$ ENDIF
integer(WORD) wLow
integer(WORD) wHigh
end function MakeWparam
end interface
interface !lib=dfwin.lib
function PaletteIndex (PalIndex)
use dfwinty
integer(DWORD) :: PaletteIndex 
!DEC$ ATTRIBUTES DEFAULT :: PaletteIndex
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_PaletteIndex@4' :: PaletteIndex 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'PaletteIndex'   :: PaletteIndex 
!DEC$ ENDIF
integer(WORD)  PalIndex
end function PaletteIndex
end interface
interface !lib=dfwin.lib
function PaletteRGB (bred, bgreen, bblue)
use dfwinty
integer(DWORD) :: PaletteRGB
!DEC$ ATTRIBUTES DEFAULT :: PaletteRGB
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_PaletteRGB@12' :: PaletteRGB 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'PaletteRGB'    :: PaletteRGB 
!DEC$ ENDIF
BYTE  bred, bgreen, bblue
end function PaletteRGB
end interface
interface !lib=dfwin.lib
function chartoreal (buffer) 
use dfwinty
real(DOUBLE) :: chartoreal
!DEC$ ATTRIBUTES DEFAULT :: chartoreal
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_chartoreal@4' ::  chartoreal
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'chartoreal'   ::  chartoreal
!DEC$ ENDIF
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: buffer
character*(*) buffer 
end function chartoreal
end interface
interface !lib=dfwin.lib
function chartoint (buffer) 
use dfwinty
integer(DWORD) :: chartoint
!DEC$ ATTRIBUTES DEFAULT :: chartoint
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_chartoint@4' :: chartoint
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'chartoint'   :: chartoint
!DEC$ ENDIF
!DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: buffer
character*(*) buffer 
end function chartoint
end interface
interface !lib=dfwin.lib
function inttochar (val, string, radix) 
use dfwinty
integer(LPCSTR) :: inttochar
!DEC$ ATTRIBUTES DEFAULT :: inttochar
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_inttochar@12' :: inttochar
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'inttochar'    :: inttochar
!DEC$ ENDIF
integer(DWORD)  val
!DEC$ ATTRIBUTES REFERENCE :: string
character*(*)   string 
integer(DWORD)  radix 
end function inttochar
end interface
interface !lib=dfwin.lib
function SetHandle (lParam) 
use dfwinty
integer(HANDLE) :: SetHandle
!DEC$ ATTRIBUTES DEFAULT :: SetHandle
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_SetHandle@4' :: SetHandle
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'SetHandle'   :: SetHandle
!DEC$ ENDIF
integer(LONG_PTR) lParam 
end function SetHandle
end interface
interface !lib=dfwin.lib
function memcmp ( buf1, buf2, count)
use dfwinty
integer(DWORD) :: memcmp
!DEC$ ATTRIBUTES DEFAULT :: memcmp
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_fmemcmpr@12' :: memcmp
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'fmemcmpr'    :: memcmp
!DEC$ ENDIF
integer(LPVOID)   buf1 
integer(LPVOID)   buf2 
integer(SIZE_T)   count 
end function memcmp
end interface
interface !lib=dfwin.lib
function CheckIfNULL(Ptr)
use dfwinty
integer(DWORD) :: CheckIfNULL
!DEC$ ATTRIBUTES DEFAULT :: CheckIfNULL
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_CheckIfNULL@4' :: CheckIfNULL
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'CheckIfNULL'   :: CheckIfNULL
!DEC$ ENDIF
integer(LPVOID) Ptr
end function CheckIfNULL
end interface
interface !lib=dfwin.lib (+user32.lib)
function  CreateWindow (lpszClassName, lpszWindowName, dwStyle, &
              X ,Y ,nWidth ,nHeight ,hWndParent,hMenu ,hInstance ,lpParam )
use dfwinty
integer(HANDLE) :: CreateWindow
!DEC$ ATTRIBUTES DEFAULT :: CreateWindow
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_CreateWindows@44' :: CreateWindow
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'CreateWindows'    :: CreateWindow
!DEC$ ENDIF
!DEC$ ATTRIBUTES REFERENCE :: lpszClassName
!DEC$ ATTRIBUTES REFERENCE :: lpszWindowName
character*(*)   lpszClassName
character*(*)   lpszWindowName 
integer(DWORD)  dwStyle 
integer(SINT)   X 
integer(SINT)   Y 
integer(SINT)   nWidth 
integer(SINT)   nHeight 
integer(HANDLE) hWndParent  
integer(HANDLE) hMenu 
integer(HANDLE) hInstance 
integer(LPVOID) lpParam 
end function CreateWindow
end interface
interface !lib=dfwin.lib (+user32.lib)
function CreateDialog (hInstance ,lpTemplateName ,hWndParent  ,lpDialogFunc ) 
use dfwinty
integer(HANDLE) :: CreateDialog
!DEC$ ATTRIBUTES DEFAULT :: CreateDialog
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_CreateDialogs@16' :: CreateDialog
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'CreateDialogs'    :: CreateDialog
!DEC$ ENDIF
integer(HANDLE) hInstance
integer(LPVOID) lpTemplateName
integer(HANDLE) hWndParent 
integer(LPVOID) lpDialogFunc
end function CreateDialog
end interface
interface !lib=dfwin.lib (+user32.lib)
function DialogBox (hInst, lpszTemplate, hwndOwner, dlgprc)
use dfwinty
integer(SINT) :: DialogBox
!DEC$ ATTRIBUTES DEFAULT :: DialogBox
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DialogBoxs@16' :: DialogBox
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DialogBoxs'    :: DialogBox
!DEC$ ENDIF
integer(HANDLE)   hInst 
integer(LPVOID)   lpszTemplate 
integer(HANDLE)   hwndOwner 
integer(LPVOID)   dlgprc 
end function DialogBox
end interface
!***deprecated***
!DEC$ IF DEFINED(_M_IX86)
interface !lib=dfwin.lib
integer(4) function convertFtoCstring(cstring,fstring);
!DEC$ ATTRIBUTES DEFAULT :: convertFtoCstring
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_convertFtoCstring@8' :: convertFtoCstring
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'convertFtoCstring'   :: convertFtoCstring
!DEC$ ENDIF
!DEC$ ATTRIBUTES REFERENCE::cstring
character *(*)  cstring
integer       fstring 
end function convertFtoCstring
end interface
!                       ******WINNT******
!The following six routines are connected via alias statements to wrapper 
!routines in dfwinc.c which is the basis for dfwin.lib.  So if you are using
!
!AllocateAndInitializeSidQQ
!CreateWindow
!CreateDialog
!DialogBox
!SetTimerQQ
!   or
!VersionQueryValue
!
!then you need a using DFWIN.MOD (which has everything) or a
!"USE DFWBASE" and most likely a "USE ADVAPI32" (or USER32 or VERSION)
!and the library DFWIN.LIB must be linked with the program.  The library
!search records in the .MOD files should get DFWIN.LIB and any other
!needed library searched
!
! 
interface !lib=dfwin.lib (+advapi32.lib)
logical(4) function  AllocateAndInitializeSidQQ  (pIdentifierAuthority ,nSubAuthorityCount ,nSubAuthority0 ,nSubAuthority1 ,nSubAuthority2 ,nSubAuthority3 ,nSubAuthority4 ,nSubAuthority5 ,nSubAuthority6 ,nSubAuthority7 ,pSid   ) 
!DEC$ ATTRIBUTES DEFAULT :: AllocateAndInitializeSidQQ
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_fAllocateAndInitializeSid@44' :: AllocateAndInitializeSidQQ 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'fAllocateAndInitializeSid'    :: AllocateAndInitializeSidQQ 
!DEC$ ENDIF
!DEC$ ATTRIBUTES REFERENCE :: pIdentifierAuthority
use dfwinty
type(T_SID_IDENTIFIER_AUTHORITY)  pIdentifierAuthority 
BYTE                            nSubAuthorityCount 
integer(4)                      nSubAuthority0 
integer(4)                      nSubAuthority1 
integer(4)                      nSubAuthority2 
integer(4)                      nSubAuthority3 
integer(4)                      nSubAuthority4 
integer(4)                      nSubAuthority5 
integer(4)                      nSubAuthority6 
integer(4)                      nSubAuthority7 
integer(4)                      pSid   
end function AllocateAndInitializeSidQQ
end interface
interface !lib=dfwin.lib (+user32.lib)
integer(4) function  SetTimerQQ (hWnd  ,nIDEvent ,uElapse ,lpTimerFunc, flag ) 
!DEC$ ATTRIBUTES DEFAULT :: SetTimerQQ
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FSetTimer@20' :: SetTimerQQ
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FSetTimer'    :: SetTimerQQ
!DEC$ ENDIF
integer hWnd 
integer nIDEvent
integer uElapse
integer lpTimerFunc
integer flag
end function SetTimerQQ
end interface
interface !lib=dfwin.lib (+version.lib)
integer function VersionQueryValue (pBlock, lpSubBlock, lpBuffer, puLen)
!DEC$ ATTRIBUTES DEFAULT :: VersionQueryValue
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS :"_VersionQueryValueS@16" :: VersionQueryValue
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : "VersionQueryValueS"    :: VersionQueryValue
!DEC$ ENDIF
integer*4   pBlock 
integer*4   lpSubBlock 
integer*4   lpBuffer 
integer*4   puLen 
end function VersionQueryValue
end interface
interface !lib=dfwin.lib
function LangIDFromLCID (param) 
integer(2) :: LangIDFromLCID  
!DEC$ ATTRIBUTES DEFAULT :: LangIDFromLCID
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LangIDFromLCID@4' :: LangIDFromLCID 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LangIDFromLCID'   :: LangIDFromLCID 
!DEC$ ENDIF
integer param
end function LangIDFromLCID
end interface
interface !lib=dfwin.lib
integer(2) function MakeLangID (usPrimaryLanguage, usSubLanguage) 
!DEC$ ATTRIBUTES DEFAULT :: MakeLangID
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeLangID@8' :: MakeLangID 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeLangID'   :: MakeLangID 
!DEC$ ENDIF
integer*2 usPrimaryLanguage
integer*2 usSubLanguage
end function MakeLangID
end interface
interface !lib=dfwin.lib
integer(4) function MakeLCID (wLanguageID, wSortID) 
!DEC$ ATTRIBUTES DEFAULT :: MakeLCID
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakeLCID@8' :: MakeLCID 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakeLCID'   :: MakeLCID 
!DEC$ ENDIF
integer*2 wLanguageID
integer*2 wSortID
end function MakeLCID
end interface
interface !lib=dfwin.lib
subroutine MakePointS (dwValue, ret_val) 
!DEC$ ATTRIBUTES DEFAULT :: MakePointS
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MakePoints@8' :: MakePointS 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'MakePoints'   :: MakePointS 
!DEC$ ENDIF
integer dwValue
integer ret_val
end subroutine MakePointS
end interface
interface !lib=dfwin.lib
subroutine PointsTOPoint (pt, pts) 
!DEC$ ATTRIBUTES DEFAULT :: PointsTOPoint
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_PointsTOPoint@8' :: PointsTOPoint 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'PointsTOPoint'   :: PointsTOPoint 
!DEC$ ENDIF
use dfwinty
type (T_POINT)   pt
type (T_POINT)  pts
end subroutine PointsTOPoint
end interface
interface !lib=dfwin.lib
integer*4 function PointTOPoints (pt) 
!DEC$ ATTRIBUTES DEFAULT :: PointTOPoints
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_PointTOPoints@4' :: PointTOPoints 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'PointTOPoints'   :: PointTOPoints 
!DEC$ ENDIF
use dfwinty
type (T_POINT) pt
end function PointTOPoints
end interface
interface !lib=dfwin.lib
BYTE function PrimaryLangID (usLanguageID)
!DEC$ ATTRIBUTES DEFAULT :: PrimaryLangID
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_PrimaryLangID@4' :: PrimaryLangID 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'PrimaryLangID'   :: PrimaryLangID 
!DEC$ ENDIF
integer*2 usLanguageID
end function PrimaryLangID
end interface
interface !lib=dfwin.lib
BYTE function SubLangID (usLanguageID)
!DEC$ ATTRIBUTES DEFAULT :: SubLangID
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_SubLangID@4' :: SubLangID 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'SubLangID'   :: SubLangID 
!DEC$ ENDIF
integer*2 usLanguageID
end function SubLangID
end interface
interface !lib=dfwin.lib
integer(2) function SortIDFromLCID (lcid)
!DEC$ ATTRIBUTES DEFAULT :: SortIDFromLCID
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_SortIDFromLCID@4' :: SortIDFromLCID 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'SortIDFromLCID'   :: SortIDFromLCID 
!DEC$ ENDIF
integer lcid
end function SortIDFromLCID
end interface
interface !lib=dfwin.lib
integer(4) function BType (x) 
!DEC$ ATTRIBUTES DEFAULT :: BType
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_BType@4' :: BType 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'BType'   :: BType 
!DEC$ ENDIF
integer x
end function BType
end interface
interface !lib=dfwin.lib
integer(4) function IsPtr (x) 
!DEC$ ATTRIBUTES DEFAULT :: IsPtr
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IsPtr@4' :: IsPtr 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IsPtr'   :: IsPtr 
!DEC$ ENDIF
integer x
end function IsPtr
end interface
interface !lib=dfwin.lib
integer(4) function IsFcn (x)  
!DEC$ ATTRIBUTES DEFAULT :: IsFcn
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IsFcn@4' :: IsFcn 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IsFcn'   :: IsFcn 
!DEC$ ENDIF
integer x
end function IsFcn
end interface
interface !lib=dfwin.lib
integer(4) function IsAry (x)  
!DEC$ ATTRIBUTES DEFAULT :: IsAry
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IsAry@4' :: IsAry 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IsAry'   :: IsAry 
!DEC$ ENDIF
integer x
end function IsAry
end interface
interface !lib=dfwin.lib
integer(4) function IsTag (x)  
!DEC$ ATTRIBUTES DEFAULT :: IsTag
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IsTag@4' :: IsTag 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IsTag'   :: IsTag 
!DEC$ ENDIF
integer x
end function IsTag
end interface
interface !lib=dfwin.lib
integer(4) function IncRef (x)  
!DEC$ ATTRIBUTES DEFAULT :: IncRef
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IncRef@4' :: IncRef 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IncRef'   :: IncRef 
!DEC$ ENDIF
integer x
end function IncRef
end interface
interface !lib=dfwin.lib
integer(4) function DecRef (x)  
!DEC$ ATTRIBUTES DEFAULT :: DecRef
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DecRef@4' :: DecRef 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DecRef'   :: DecRef 
!DEC$ ENDIF
integer x
end function DecRef
end interface
interface !lib=dfwin.lib
integer(4) function Image_Snap_By_Ordinal (Ordinal)
!DEC$ ATTRIBUTES DEFAULT :: Image_Snap_By_Ordinal
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_Image_Snap_By_Ordinal@4' ::  Image_Snap_By_Ordinal
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'Image_Snap_By_Ordinal'   ::  Image_Snap_By_Ordinal
!DEC$ ENDIF
integer(4) Ordinal
end function Image_Snap_By_Ordinal
end interface
interface !lib=dfwin.lib
integer(4) function Image_First_Section (ntheader)
!DEC$ ATTRIBUTES DEFAULT :: Image_First_Section
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_Image_First_Section@4' :: Image_First_Section
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'Image_First_Section'   :: Image_First_Section
!DEC$ ENDIF
integer(4)  ntheader
end function Image_First_Section
end interface
interface !lib=dfwin.lib
integer(4) function Image_Ordinal (Ordinal)
!DEC$ ATTRIBUTES DEFAULT :: Image_Ordinal
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_Image_Ordinal@4' :: Image_Ordinal
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'Image_Ordinal'   :: Image_Ordinal
!DEC$ ENDIF
integer(4) Ordinal
end function Image_Ordinal
end interface
interface !lib=dfwin.lib
integer(4) function SndAlias (c0, c1) 
!DEC$ ATTRIBUTES DEFAULT :: SndAlias
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_SndAlias@8' :: SndAlias 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'SndAlias'   :: SndAlias 
!DEC$ ENDIF
character c0, c1
end function SndAlias
end interface
interface !lib=dfwin.lib
character*4 function mmioFOURCC (c0, c1, c2, c3) 
!DEC$ ATTRIBUTES DEFAULT :: mmioFOURCC
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_mmioFOURCC@16' :: mmioFOURCC 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'mmioFOURCC'    :: mmioFOURCC 
!DEC$ ENDIF
character   c0, c1, c2, c3
end function mmioFOURCC
end interface
interface !lib=dfwin.lib
subroutine FD_ISSET (fd, set) 
!DEC$ ATTRIBUTES DEFAULT :: FD_ISSET
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FDISSET@8' :: FD_ISSET 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FDISSET'   :: FD_ISSET 
!DEC$ ENDIF
integer fd, set
end subroutine FD_ISSET
end interface
interface !lib=dfwin.lib
subroutine FD_ZERO (set) 
!DEC$ ATTRIBUTES DEFAULT :: FD_ZERO
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FDZERO@4' :: FD_ZERO 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FDZERO'   :: FD_ZERO 
!DEC$ ENDIF
integer set
end subroutine FD_ZERO
end interface
interface !lib=dfwin.lib
subroutine FD_SET (fd, set) 
!DEC$ ATTRIBUTES DEFAULT :: FD_SET
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FDSET@8' :: FD_SET 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FDSET'   :: FD_SET 
!DEC$ ENDIF
integer fd, set
end subroutine FD_SET
end interface
interface !lib=dfwin.lib
subroutine FD_CLR (fd, set) 
!DEC$ ATTRIBUTES DEFAULT :: FD_CLR
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FDCLR@8' :: FD_CLR 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FDCLR'   :: FD_CLR 
!DEC$ ENDIF
integer fd, set
end subroutine FD_CLR
end interface
interface !lib=dfwin.lib
integer*4 function CtlCode(DeviceType,Function,Method,Access) 
!DEC$ ATTRIBUTES DEFAULT :: CtlCode
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_CtlCode@16' :: CtlCode
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'CtlCode'    :: CtlCode
!DEC$ ENDIF
integer*4 Devicetype 
integer*4 Function 
integer*4 Method 
integer*4 Access 
end function CtlCode
end interface
interface !lib=dfwin.lib
integer*4 function IOW_( x,y,t) 
!DEC$ ATTRIBUTES DEFAULT :: IOW_
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IOW_@12' :: IOW_
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IOW_'    :: IOW_
!DEC$ ENDIF
character    x 
integer      y 
integer      t 
end function IOW_
end interface
interface !lib=dfwin.lib
integer*4 function IOR_( x,y,t) 
!DEC$ ATTRIBUTES DEFAULT :: IOR_
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_IOR_@12' :: IOR_
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'IOR_'    :: IOR_
!DEC$ ENDIF
character    x 
integer      y 
integer      t 
end function IOR_
end interface
interface !lib=dfwin.lib
subroutine ConvertFilterString(buffer) 
!DEC$ ATTRIBUTES DEFAULT :: ConvertFilterString
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_ConvertFilterString@4' ::  ConvertFilterString
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'ConvertFilterString'   ::  ConvertFilterString
!DEC$ ENDIF
!DEC$ ATTRIBUTES REFERENCE :: buffer
character*(*)   buffer 
end subroutine ConvertFilterString
end interface
interface !lib=dfwin.lib
integer(4) function GlobalDiscard (h)
!DEC$ ATTRIBUTES DEFAULT :: GlobalDiscard
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_Global_Discard@4' :: GLobalDiscard
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'Global_Discard' :: GLobalDiscard
!DEC$ ENDIF
integer(4)  h
end function GlobalDiscard
end interface
interface !lib=dfwin.lib
integer(4) function LocalDiscard (h)
!DEC$ ATTRIBUTES DEFAULT :: LocalDiscard
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_Local_Discard@4' :: LocalDiscard
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'Local_Discard' :: LocalDiscard
!DEC$ ENDIF
integer(4)  h
end function LocalDiscard
end interface
!                               *****BITSFUNC****
! The functions defined in these files are used to access the bits in 
! structures
! winnt
interface !lib=dfwin.lib
integer*2 function FPO_DATA$cbProlog (Bits)
!DEC$ ATTRIBUTES DEFAULT :: FPO_DATA$cbProlog
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FPO_DATA$cbProlog@4' :: FPO_DATA$cbProlog
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FPO_DATA$cbProlog'   :: FPO_DATA$cbProlog
!DEC$ ENDIF
integer*2 Bits
end function FPO_DATA$cbProlog
integer*2 function FPO_DATA$cbRegs (Bits)
!DEC$ ATTRIBUTES DEFAULT :: FPO_DATA$cbRegs
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FPO_DATA$cbRegs@4' :: FPO_DATA$cbRegs
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FPO_DATA$cbRegs'   :: FPO_DATA$cbRegs
!DEC$ ENDIF
integer*2 Bits
end function FPO_DATA$cbRegs
integer*2 function FPO_DATA$fHasSEH (Bits)
!DEC$ ATTRIBUTES DEFAULT :: FPO_DATA$fHasSEH
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FPO_DATA$fHasSEH@4' :: FPO_DATA$fHasSEH
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FPO_DATA$fHasSEH'   :: FPO_DATA$fHasSEH
!DEC$ ENDIF
integer*2 Bits
end function FPO_DATA$fHasSEH
integer*2 function FPO_DATA$fUseBP (Bits)
!DEC$ ATTRIBUTES DEFAULT :: FPO_DATA$fUseBP
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FPO_DATA$fUseBP@4' :: FPO_DATA$fUseBP
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FPO_DATA$fUseBP'   :: FPO_DATA$fUseBP
!DEC$ ENDIF
integer*2 Bits
end function FPO_DATA$fUseBP
integer*2 function FPO_DATA$reserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: FPO_DATA$reserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FPO_DATA$reserved@4' :: FPO_DATA$reserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FPO_DATA$reserved'   :: FPO_DATA$reserved
!DEC$ ENDIF
integer*2 Bits
end function FPO_DATA$reserved
integer*2 function FPO_DATA$cbFrame (Bits)
!DEC$ ATTRIBUTES DEFAULT :: FPO_DATA$cbFrame
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_FPO_DATA$cbFrame@4' :: FPO_DATA$cbFrame
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'FPO_DATA$cbFrame'   :: FPO_DATA$cbFrame
!DEC$ ENDIF
integer*2 Bits
end function FPO_DATA$cbFrame
integer*4 function LDT_ENTRY$BaseMid (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$BaseMid
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$BaseMid@4' :: LDT_ENTRY$BaseMid
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$BaseMid'   :: LDT_ENTRY$BaseMid
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$BaseMid
integer*4 function LDT_ENTRY$Type (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Type
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Type@4' :: LDT_ENTRY$Type
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Type'   :: LDT_ENTRY$Type
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Type
integer*4 function LDT_ENTRY$Dpl (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Dpl
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Dpl@4' :: LDT_ENTRY$Dpl
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Dpl'   :: LDT_ENTRY$Dpl
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Dpl
integer*4 function LDT_ENTRY$Pres (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Pres
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Pres@4' :: LDT_ENTRY$Pres
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Pres'   :: LDT_ENTRY$Pres
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Pres
integer*4 function LDT_ENTRY$LimitHi (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$LimitHi
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$LimitHi@4' :: LDT_ENTRY$LimitHi
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$LimitHi'   :: LDT_ENTRY$LimitHi
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$LimitHi
integer*4 function LDT_ENTRY$Sys (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Sys
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Sys@4' :: LDT_ENTRY$Sys
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Sys'   :: LDT_ENTRY$Sys
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Sys
integer*4 function LDT_ENTRY$Reserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Reserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Reserved@4' :: LDT_ENTRY$Reserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Reserved'   :: LDT_ENTRY$Reserved
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Reserved
integer*4 function LDT_ENTRY$Default_Big (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Default_Big
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Default_Big@4' :: LDT_ENTRY$Default_Big
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Default_Big'   :: LDT_ENTRY$Default_Big
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Default_Big
integer*4 function LDT_ENTRY$Granularity (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$Granularity
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$Granularity@4' :: LDT_ENTRY$Granularity
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$Granularity'   :: LDT_ENTRY$Granularity
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$Granularity
integer*4 function LDT_ENTRY$BaseHi (Bits)
!DEC$ ATTRIBUTES DEFAULT :: LDT_ENTRY$BaseHi
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_LDT_ENTRY$BaseHi@4' :: LDT_ENTRY$BaseHi
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'LDT_ENTRY$BaseHi'   :: LDT_ENTRY$BaseHi
!DEC$ ENDIF
integer*4   Bits
end function LDT_ENTRY$BaseHi
integer*4 function COMSTAT$fCtsHold (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fCtsHold
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fCtsHold@4' :: COMSTAT$fCtsHold
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fCtsHold'   :: COMSTAT$fCtsHold
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fCtsHold
integer*4 function COMSTAT$fDsrHold (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fDsrHold
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fDsrHold@4' :: COMSTAT$fDsrHold
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fDsrHold'   :: COMSTAT$fDsrHold
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fDsrHold
integer*4 function COMSTAT$fRlsHold (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fRlsHold
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fRlsHold@4' :: COMSTAT$fRlsHold
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fRlsHold'   :: COMSTAT$fRlsHold
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fRlsHold
integer*4 function COMSTAT$fXoffHold (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fXoffHold
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fXoffHold@4' :: COMSTAT$fXoffHold
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fXoffHold'   :: COMSTAT$fXoffHold
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fXoffHold
integer*4 function COMSTAT$fXoffSent (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fXoffSent
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fXoffSent@4' :: COMSTAT$fXoffSent
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fXoffSent'   :: COMSTAT$fXoffSent
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fXoffSent
integer*4 function COMSTAT$fEof (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fEof
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fEof@4' :: COMSTAT$fEof
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fEof'   :: COMSTAT$fEof
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fEof
integer*4 function COMSTAT$fTxim (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fTxim
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fTxim@4' :: COMSTAT$fTxim
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fTxim'   :: COMSTAT$fTxim
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fTxim
integer*4 function COMSTAT$fReserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: COMSTAT$fReserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_COMSTAT$fReserved@4' :: COMSTAT$fReserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'COMSTAT$fReserved'   :: COMSTAT$fReserved
!DEC$ ENDIF
integer*4   Bits
end function COMSTAT$fReserved
integer*4 function DCB$fBinary (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fBinary
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fBinary@4' :: DCB$fBinary
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fBinary'   :: DCB$fBinary
!DEC$ ENDIF
integer*4   Bits
end function DCB$fBinary
integer*4 function DCB$fParity (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fParity
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fParity@4' :: DCB$fParity
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fParity'   :: DCB$fParity
!DEC$ ENDIF
integer*4   Bits
end function DCB$fParity
integer*4 function DCB$fOutxCtsFlow (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fOutxCtsFlow
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fOutxCtsFlow@4' :: DCB$fOutxCtsFlow
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fOutxCtsFlow'   :: DCB$fOutxCtsFlow
!DEC$ ENDIF
integer*4   Bits
end function DCB$fOutxCtsFlow
integer*4 function DCB$fOutxDsrFlow (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fOutxDsrFlow
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fOutxDsrFlow@4' :: DCB$fOutxDsrFlow
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fOutxDsrFlow'   :: DCB$fOutxDsrFlow
!DEC$ ENDIF
integer*4   Bits
end function DCB$fOutxDsrFlow
integer*4 function DCB$fDtrControl (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fDtrControl
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fDtrControl@4' :: DCB$fDtrControl
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fDtrControl'   :: DCB$fDtrControl
!DEC$ ENDIF
integer*4   Bits
end function DCB$fDtrControl
integer*4 function DCB$fDsrSensitivity (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fDsrSensitivity
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fDsrSensitivity@4' :: DCB$fDsrSensitivity
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fDsrSensitivity'   :: DCB$fDsrSensitivity
!DEC$ ENDIF
integer*4   Bits
end function DCB$fDsrSensitivity
integer*4 function DCB$fTXContinueOnXOff (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fTXContinueOnXOff
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fTXContinueOnXOff@4' :: DCB$fTXContinueOnXOff
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fTXContinueOnXOff'   :: DCB$fTXContinueOnXOff
!DEC$ ENDIF
integer*4   Bits
end function DCB$fTXContinueOnXOff
integer*4 function DCB$fOutX (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fOutX
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fOutX@4' :: DCB$fOutX
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fOutX'   :: DCB$fOutX
!DEC$ ENDIF
integer*4   Bits
end function DCB$fOutX
integer*4 function DCB$fInX (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fInX
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fInX@4' :: DCB$fInX
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fInX'   :: DCB$fInX
!DEC$ ENDIF
integer*4   Bits
end function DCB$fInX
integer*4 function DCB$fErrorChar (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fErrorChar
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fErrorChar@4' :: DCB$fErrorChar
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fErrorChar'   :: DCB$fErrorChar
!DEC$ ENDIF
integer*4   Bits
end function DCB$fErrorChar
integer*4 function DCB$fNull (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fNull
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fNull@4' :: DCB$fNull
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fNull'   :: DCB$fNull
!DEC$ ENDIF
integer*4   Bits
end function DCB$fNull
integer*4 function DCB$fRtsControl (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fRtsControl
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fRtsControl@4' :: DCB$fRtsControl
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fRtsControl'   :: DCB$fRtsControl
!DEC$ ENDIF
integer*4   Bits
end function DCB$fRtsControl
integer*4 function DCB$fAbortOnError (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fAbortOnError
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fAbortOnError@4' :: DCB$fAbortOnError
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fAbortOnError'   :: DCB$fAbortOnError
!DEC$ ENDIF
integer*4   Bits
end function DCB$fAbortOnError
integer*4 function DCB$fDummy2 (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DCB$fDummy2
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DCB$fDummy2@4' :: DCB$fDummy2
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DCB$fDummy2'   :: DCB$fDummy2
!DEC$ ENDIF
integer*4   Bits
end function DCB$fDummy2
end interface
!
! DDE.F90
!
interface !lib=dfwin.lib
integer*4 function DDEPACK$bAppReturnedCode (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DDEPACK$bAppReturnedCode
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DDEPACK$bAppReturnedCode@4' :: DDEPACK$bAppReturnedCode
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DDEPACK$bAppReturnedCode'   :: DDEPACK$bAppReturnedCode
!DEC$ ENDIF
integer*4   Bits
end function DDEPACK$bAppReturnedCode
integer*4 function DDEPACK$reserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DDEPACK$reserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DDEPACK$reserved@4' :: DDEPACK$reserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DDEPACK$reserved'   :: DDEPACK$reserved
!DEC$ ENDIF
integer*4   Bits
end function DDEPACK$reserved
integer*4 function DDEPACK$fBusy (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DDEPACK$fBusy
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DDEPACK$fBusy@4' :: DDEPACK$fBusy
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DDEPACK$fBusy'   :: DDEPACK$fBusy
!DEC$ ENDIF
integer*4   Bits
end function DDEPACK$fBusy
integer*4 function DDEPACK$fAck (Bits)
!DEC$ ATTRIBUTES DEFAULT :: DDEPACK$fAck
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_DDEPACK$fAck@4' :: DDEPACK$fAck
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'DDEPACK$fAck'   :: DDEPACK$fAck
!DEC$ ENDIF
integer*4   Bits
end function DDEPACK$fAck
integer*4 function T_DDEADVISE$reserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEADVISE$reserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEADVISE$reserved@4' :: T_DDEADVISE$reserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEADVISE$reserved'   :: T_DDEADVISE$reserved
!DEC$ ENDIF
integer*4   Bits
end function T_DDEADVISE$reserved
integer*4 function T_DDEADVISE$fDeferUpd (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEADVISE$fDeferUpd
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEADVISE$fDeferUpd@4' :: T_DDEADVISE$fDeferUpd
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEADVISE$fDeferUpd'   :: T_DDEADVISE$fDeferUpd
!DEC$ ENDIF
integer*4   Bits
end function T_DDEADVISE$fDeferUpd
integer*4 function T_DDEADVISE$fAckReq (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEADVISE$fAckReq
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEADVISE$fAckReq@4' :: T_DDEADVISE$fAckReq
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEADVISE$fAckReq'   :: T_DDEADVISE$fAckReq
!DEC$ ENDIF
integer*4   Bits
end function T_DDEADVISE$fAckReq
integer*4 function T_DDEDATA$unused (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEDATA$unused
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEDATA$unused@4' :: T_DDEDATA$unused
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEDATA$unused'   :: T_DDEDATA$unused
!DEC$ ENDIF
integer*4   Bits
end function T_DDEDATA$unused
integer*4 function T_DDEDATA$fResponse (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEDATA$fResponse
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEDATA$fResponse@4' :: T_DDEDATA$fResponse
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEDATA$fResponse'   :: T_DDEDATA$fResponse
!DEC$ ENDIF
integer*4   Bits
end function T_DDEDATA$fResponse
integer*4 function T_DDEDATA$fRelease (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEDATA$fRelease
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEDATA$fRelease@4' :: T_DDEDATA$fRelease
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEDATA$fRelease'   :: T_DDEDATA$fRelease
!DEC$ ENDIF
integer*4   Bits
end function T_DDEDATA$fRelease
integer*4 function T_DDEDATA$reserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEDATA$reserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEDATA$reserved@4' :: T_DDEDATA$reserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEDATA$reserved'   :: T_DDEDATA$reserved
!DEC$ ENDIF
integer*4   Bits
end function T_DDEDATA$reserved
integer*4 function T_DDEDATA$fAckReq (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEDATA$fAckReq
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEDATA$fAckReq@4' :: T_DDEDATA$fAckReq
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEDATA$fAckReq'   :: T_DDEDATA$fAckReq
!DEC$ ENDIF
integer*4   Bits
end function T_DDEDATA$fAckReq
integer*4 function T_DDEPOKE$unused (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEPOKE$unused
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEPOKE$unused@4' :: T_DDEPOKE$unused
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEPOKE$unused'   :: T_DDEPOKE$unused
!DEC$ ENDIF
integer*4   Bits
end function T_DDEPOKE$unused
integer*4 function T_DDEPOKE$fRelease (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEPOKE$fRelease
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEPOKE$fRelease@4' :: T_DDEPOKE$fRelease
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEPOKE$fRelease'   :: T_DDEPOKE$fRelease
!DEC$ ENDIF
integer*4   Bits
end function T_DDEPOKE$fRelease
integer*4 function T_DDEPOKE$fReserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEPOKE$fReserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEPOKE$fReserved@4' :: T_DDEPOKE$fReserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEPOKE$fReserved'   :: T_DDEPOKE$fReserved
!DEC$ ENDIF
integer*4   Bits
end function T_DDEPOKE$fReserved
integer*4 function T_DDELN$unused (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDELN$unused
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDELN$unused@4' :: T_DDELN$unused
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDELN$unused'   :: T_DDELN$unused
!DEC$ ENDIF
integer*4   Bits
end function T_DDELN$unused
integer*4 function T_DDELN$fRelease (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDELN$fRelease
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDELN$fRelease@4' :: T_DDELN$fRelease
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDELN$fRelease'   :: T_DDELN$fRelease
!DEC$ ENDIF
integer*4   Bits
end function T_DDELN$fRelease
integer*4 function T_DDELN$fDeferUpd (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDELN$fDeferUpd
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDELN$fDeferUpd@4' :: T_DDELN$fDeferUpd
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDELN$fDeferUpd'   :: T_DDELN$fDeferUpd
!DEC$ ENDIF
integer*4   Bits
end function T_DDELN$fDeferUpd
integer*4 function T_DDELN$fAckReq (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDELN$fAckReq
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDELN$fAckReq@4' :: T_DDELN$fAckReq
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDELN$fAckReq'   :: T_DDELN$fAckReq
!DEC$ ENDIF
integer*4   Bits
end function T_DDELN$fAckReq
integer*4 function T_DDEUP$unused (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEUP$unused
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEUP$unused@4' :: T_DDEUP$unused
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEUP$unused'   :: T_DDEUP$unused
!DEC$ ENDIF
integer*4   Bits
end function T_DDEUP$unused
integer*4 function T_DDEUP$fAck (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEUP$fAck
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEUP$fAck@4' :: T_DDEUP$fAck
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEUP$fAck'   :: T_DDEUP$fAck
!DEC$ ENDIF
integer*4   Bits
end function T_DDEUP$fAck
integer*4 function T_DDEUP$fRelease (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEUP$fRelease
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEUP$fRelease@4' :: T_DDEUP$fRelease
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEUP$fRelease'   :: T_DDEUP$fRelease
!DEC$ ENDIF
integer*4   Bits
end function T_DDEUP$fRelease
integer*4 function T_DDEUP$fReserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEUP$fReserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEUP$fReserved@4' :: T_DDEUP$fReserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEUP$fReserved'   :: T_DDEUP$fReserved
!DEC$ ENDIF
integer*4   Bits
end function T_DDEUP$fReserved
integer*4 function T_DDEUP$fAckReq (Bits)
!DEC$ ATTRIBUTES DEFAULT :: T_DDEUP$fAckReq
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_T_DDEUP$fAckReq@4' :: T_DDEUP$fAckReq
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'T_DDEUP$fAckReq'   :: T_DDEUP$fAckReq
!DEC$ ENDIF
integer*4   Bits
end function T_DDEUP$fAckReq
end interface
! **** VDMDBG
interface !lib=dfwin.lib
integer*4 function VDMLDT_ENTRY$BaseMid (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$BaseMid
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$BaseMid@4' :: VDMLDT_ENTRY$BaseMid
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$BaseMid'   :: VDMLDT_ENTRY$BaseMid
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$BaseMid
integer*4 function VDMLDT_ENTRY$Type (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Type
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Type@4' :: VDMLDT_ENTRY$Type
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Type'   :: VDMLDT_ENTRY$Type
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Type
integer*4 function VDMLDT_ENTRY$Dpl (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Dpl
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Dpl@4' :: VDMLDT_ENTRY$Dpl
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Dpl'   :: VDMLDT_ENTRY$Dpl
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Dpl
integer*4 function VDMLDT_ENTRY$Pres (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Pres
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Pres@4' :: VDMLDT_ENTRY$Pres
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Pres'   :: VDMLDT_ENTRY$Pres
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Pres
integer*4 function VDMLDT_ENTRY$LimitHi (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$LimitHi
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$LimitHi@4' :: VDMLDT_ENTRY$LimitHi
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$LimitHi'   :: VDMLDT_ENTRY$LimitHi
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$LimitHi
integer*4 function VDMLDT_ENTRY$Sys (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Sys
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Sys@4' :: VDMLDT_ENTRY$Sys
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Sys'   :: VDMLDT_ENTRY$Sys
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Sys
integer*4 function VDMLDT_ENTRY$Reserved (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Reserved
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Reserved@4' :: VDMLDT_ENTRY$Reserved
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Reserved'   :: VDMLDT_ENTRY$Reserved
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Reserved
integer*4 function VDMLDT_ENTRY$Default_Big (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Default_Big
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Default_Big@4' :: VDMLDT_ENTRY$Default_Big
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Default_Big'   :: VDMLDT_ENTRY$Default_Big
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Default_Big
integer*4 function VDMLDT_ENTRY$Granularity (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$Granularity
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$Granularity@4' :: VDMLDT_ENTRY$Granularity
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$Granularity'   :: VDMLDT_ENTRY$Granularity
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$Granularity
integer*4 function VDMLDT_ENTRY$BaseHi (Bits)
!DEC$ ATTRIBUTES DEFAULT :: VDMLDT_ENTRY$BaseHi
!DEC$ IF DEFINED(_M_IX86)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_VDMLDT_ENTRY$BaseHi@4' :: VDMLDT_ENTRY$BaseHi
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'VDMLDT_ENTRY$BaseHi'   :: VDMLDT_ENTRY$BaseHi
!DEC$ ENDIF
integer*4   Bits
end function VDMLDT_ENTRY$BaseHi
end interface
!***deprecated***
!DEC$ ENDIF
!
end module dfwbase
!
!DEC$ ENDIF ! /* DFWBASE_ */
